"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefreshConnectionsCommand = void 0;
const core_1 = require("@oclif/core");
const refresh_connections_list_1 = require("../helpers/refresh-connections-list");
class RefreshConnectionsCommand extends core_1.Command {
    async run() {
        if (!process.env.IS_CI && process.env.AUTO_REFRESH_CONNECTIONS) {
            await (0, refresh_connections_list_1.refreshConnectionsList)();
        }
        return await this.runCommand();
    }
}
exports.RefreshConnectionsCommand = RefreshConnectionsCommand;
